#pragma once

#include "afxwin.h"
#include "pixel.h"
#include "ergebnis.h"
using namespace std;

class matrix
{
public:
    matrix( void);
    ~matrix( void);

    pixel*** create_pixel_matrix( int zeilen, int spalten, int bundeslandID);
    pixel*** create_pixel_matrix(
            int zeilen,
            int spalten,
            int bundeslandID,
            bool hoch);
    ergebnis*** create_ergebnis_matrix( int zeilen, int spalten);
    bool** create_vorkommen_matrix(
            int zeilen,
            int spalten,
            int artID,
            double reichweite,
            int bundeslandID);
    void delete_pixel_matrix( pixel*** matrix, int zeilen, int spalten);
    void delete_vorkommen_matrix( bool** matrix, int zeilen, int spalten);
    void delete_ergebnis_matrix( ergebnis*** matrix, int zeilen, int spalten);

};
